Locale::getDisplayName
Locale::getDisplayScript
Locale
PHP Manual

# Locale::getDisplayRegion

# locale_get_display_region

Returns an appropriately localized display name for region of the input locale

### Description

Object oriented style

public static string Locale::getDisplayRegion ( string `$locale` [, string `$in_locale` ] )

Procedural style

string locale_get_display_region ( string `$locale` [, string `$in_locale` ] )

Returns an appropriately localized display name for region of the input locale. If is `NULL` then the default locale is used.

### Parameters

`locale`

  The locale to return a display region for.

`in_locale`

  Optional format locale to use to display the region name

### Return Values

display name of the region for the $locale in the format appropriate for $in_locale.

### Examples

Example #1 locale_get_display_region example

`<?php
echo locale_get_display_region('sl-Latn-IT-nedis', 'en');
echo ";\n";
echo locale_get_display_region('sl-Latn-IT-nedis', 'fr');
echo ";\n";
echo locale_get_display_region('sl-Latn-IT-nedis', 'de');
?>`

Example #2 OO example

`<?php
echo Locale::getDisplayRegion('sl-Latn-IT-nedis', 'en');
echo ";\n";
echo Locale::getDisplayRegion('sl-Latn-IT-nedis', 'fr');
echo ";\n";
echo Locale::getDisplayRegion('sl-Latn-IT-nedis', 'de');
?>`

The above example will output:

    Italy;
    Italie;
    Italien

### See Also

- locale_get_display_name
- locale_get_display_language
- locale_get_display_script
- locale_get_display_variant